var utils={};
utils.msgContent="";
utils.isUp=false;
utils.tabTool=function(e,obj){
	var to=$(e.target).attr('to');
	for(var i=0;i<obj.length;i++){
		if(obj[i].getAttribute("for")==to){
			$(e.target).css('border-bottom',"4px solid cornflowerblue");
			$(obj[i]).css('display',"block");
		}
	}
}
 utils.fileChange = function (obj,type,info,repStr) {
        var file = obj.files[0];
		if(file.size>=8388608){
			layer.msg("网页音频文件不能超过"+8388608/1024/1024+"M，请压缩处理后再操作");
		}
		if(type!=="file"){
			if (!repStr.test(file.type)) {/*可以把audio改成其他文件类型 比如 image*/
			            alert("只能选择"+info+"文件");
			            return false;
			        }
		}
		utils.request(type,file);
//         var reader = new FileReader();
//         reader.readAsDataURL(file);
//         reader.onload = function () {
//              var audioBlob=utils.convertBase64UrlToBlob(reader.result,file.type)
//              utils.request(type,audioBlob);
//         };
    };
    
utils.convertBase64UrlToBlob=function(urlData,type){   /*转成二进制对象*/
    var bytes=window.atob(urlData.split(',')[1]);      
    var ab = new ArrayBuffer(bytes.length);  
    var ia = new Uint8Array(ab);  
    for (var i = 0; i < bytes.length; i++) {  
        ia[i] = bytes.charCodeAt(i);  
    }  
    return new Blob( [ab] , {type : type});  
    
} 
utils.request=function(type,Blob){
	console.log(type)
 	 var formData = new FormData();/*创建formData对象*/
		if(type=='audio'){
			formData.append("voice", Blob);
			formData.append("type", "voice");
		}else if(type=="video"){
			formData.append(type, Blob);
			formData.append("type", type);
		}else{
			formData.append(type, Blob);
			formData.append("type", type);
		}
	   $.ajax({
            url:"/admin/upload/upFile",
            type:"POST",
            processData: false,
            contentType: false,
            data: formData,
            dataType: 'json',
            success: function (data) {
				if(data.status==200){
					if(type=='audio'){
						utils.msgContent='<audio controls="" src="'+data.data.path+'"></audio>';
					}else if(type=="video"){
						/* 如果是视频 */
						utils.msgContent='<video src="'+data.data.path+'" controls="controls">';
					}else{
						utils.msgContent='<div style="background:url('+path+'/images/fileImg.jpgs)"><a href="'+data.data.path+'" >'+data.data.path+'</a></div>';
					}
					$.ajax({
							type: "POST",
							url : "/admin/service/chat",
							data:  {to_id:$('#guest_id').html(),type:1,content:utils.msgContent},
							success: function(msg){
									if(msg.status==200){
											welive_output(utils.msgContent,5,2);
											getFace();
											$('#sendTxt').val('');
											$('.content').val('');
									}else{
										layer.msg("上传失败！");
									}
							}
					});
				}else{
					layer.msg(data.msg);
				}
				
            }

		})

}